Bug 1762728 - [lvm] can't scrub volume
Summary: [lvm] can't scrub volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-17 10:39 UTC by Vít Ondruch
Modified: 2020-05-05 07:17 UTC (History)
7 users (show)

Fixed In Version: mock-2.0-2.fc30 mock-2.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-20 04:45:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Vít Ondruch 2019-10-17 10:39:31 UTC
Description of problem:

Scrubbing does not work using LVM plugin:

~~~
$ mock -r rhel-7-x86_64 --dnf --scrub=all 
INFO: mock.py version 1.4.20 starting (python version = 3.8.0)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: scrub ['all']
Finish: scrub ['all']
ERROR: not enough values to unpack (expected 3, got 1)
Traceback (most recent call last):
  File "/usr/libexec/mock/mock", line 976, in <module>
    exitStatus = main()
  File "/usr/lib/python3.8/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 753, in main
    result = run_command(options, args, config_opts, commands, buildroot, state)
  File "/usr/lib/python3.8/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 788, in run_command
    commands.scrub(options.scrub)
  File "/usr/lib/python3.8/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.8/site-packages/mockbuild/backend.py", line 109, in scrub
    self.plugins.call_hooks('scrub', scrub)
  File "/usr/lib/python3.8/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.8/site-packages/mockbuild/plugin.py", line 78, in call_hooks
    hook(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/mockbuild/plugins/lvm_root.py", line 354, in hook_scrub
    lvs = self.list_our_lvs('lv_path')
  File "/usr/lib/python3.8/site-packages/mockbuild/plugins/lvm_root.py", line 145, in list_our_lvs
    return [[entry[0]] + entry[3:] for entry in lvs
  File "/usr/lib/python3.8/site-packages/mockbuild/plugins/lvm_root.py", line 146, in <listcomp>
    if self._lv_entry_is_our(entry[:3])]
  File "/usr/lib/python3.8/site-packages/mockbuild/plugins/lvm_root.py", line 133, in _lv_entry_is_our
    name, attrs, pool_lv = entry
ValueError: not enough values to unpack (expected 3, got 1)
~~~


Version-Release number of selected component (if applicable):
$ rpm -q mock
mock-1.4.20-1.fc32.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Scrub fails

Expected results:
Scrub succeeds

Additional info:
I just downgraded to mock 1.4.18 and it fails in similar fashion.

Comment 1 Vít Ondruch 2019-11-07 08:10:59 UTC
This is still issue:

~~~
$ rpm -q mock
mock-1.4.21-1.fc32.noarch
~~~

Comment 3 Fedora Update System 2020-02-08 16:50:36 UTC
FEDORA-EPEL-2020-56dcc5ffbf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 4 Fedora Update System 2020-02-08 16:51:07 UTC
FEDORA-2020-4ab9c18a6a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4ab9c18a6a

Comment 5 Fedora Update System 2020-02-08 16:51:28 UTC
FEDORA-2020-8c3f06d776 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c3f06d776

Comment 6 Fedora Update System 2020-02-09 01:20:55 UTC
mock-2.0-2.fc31, mock-core-configs-32.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c3f06d776

Comment 7 Fedora Update System 2020-02-09 01:35:53 UTC
mock-2.0-2.el8, mock-core-configs-32.1-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 8 Fedora Update System 2020-02-09 01:43:45 UTC
mock-2.0-2.fc30, mock-core-configs-32.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4ab9c18a6a

Comment 9 Fedora Update System 2020-02-09 01:48:00 UTC
mock-2.0-2.el7, mock-core-configs-32.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 10 Ben Cotton 2020-02-11 16:35:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 11 Fedora Update System 2020-02-20 04:45:50 UTC
mock-2.0-2.fc30, mock-core-configs-32.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-02-20 05:03:27 UTC
mock-2.0-2.fc31, mock-core-configs-32.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-02-20 09:23:27 UTC
FEDORA-EPEL-2020-4f9536de5b has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 14 Fedora Update System 2020-02-20 09:24:52 UTC
FEDORA-EPEL-2020-56dcc5ffbf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 15 Fedora Update System 2020-02-21 01:54:59 UTC
mock-2.0-2.el8, mock-core-configs-32.2-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 16 Fedora Update System 2020-02-21 01:55:55 UTC
mock-2.0-2.el7, mock-core-configs-32.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 17 Fedora Update System 2020-02-21 19:45:42 UTC
FEDORA-EPEL-2020-4f9536de5b has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 18 Fedora Update System 2020-02-21 19:46:32 UTC
FEDORA-EPEL-2020-56dcc5ffbf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 19 Fedora Update System 2020-02-22 01:37:42 UTC
mock-2.0-2.el7, mock-core-configs-32.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 20 Fedora Update System 2020-02-22 02:36:33 UTC
mock-2.0-2.el8, mock-core-configs-32.3-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 21 Fedora Update System 2020-03-11 09:40:23 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 22 Fedora Update System 2020-03-12 22:25:38 UTC
mock-2.1-1.el8, mock-core-configs-32.4-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 23 Fedora Update System 2020-03-12 23:31:54 UTC
mock-2.1-1.el7, mock-core-configs-32.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 24 Fedora Update System 2020-03-26 16:23:47 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 25 Fedora Update System 2020-03-27 08:01:59 UTC
FEDORA-EPEL-2020-5a84e15907 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 26 Fedora Update System 2020-03-27 13:23:07 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 27 Fedora Update System 2020-03-27 13:39:59 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 28 Fedora Update System 2020-04-02 07:53:29 UTC
FEDORA-EPEL-2020-5a84e15907 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 29 Fedora Update System 2020-04-02 07:54:50 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 30 Fedora Update System 2020-04-03 20:19:48 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 31 Fedora Update System 2020-04-03 21:18:18 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 32 Fedora Update System 2020-05-05 05:46:23 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 33 Fedora Update System 2020-05-05 07:17:21 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.